<template>
    <el-select
        v-model="valueSync"
        multiple
        filterable
        clearable
        reserve-keyword
        :disabled="disabled"
        :placeholder="$t('请输入订单号')"
        :loading="loading">
        <el-option
        v-for="(item) in list"
        :key="item.id"
        :label="item.orderNo"
        :value="item.orderId">
        </el-option>
    </el-select>
</template>
<script>
import { boxGoodsDetail } from "@/api/ecw/boxSea";
export default {
    props:{
        value: [Array],
        disabled: {
            type: Boolean,
            default: false
        },
        shipmentId: {
            type: Number
        }
    },
    data(){
        return {
            valueSync: [],
            list:[],
            loading: false
        }
    },
    watch:{
        valueSync(val){
            this.$emit('input', val)
        },
        value(val){
            this.valueSync = this.value
        }
    },
    created(){
        this.remoteMethod()
        this.valueSync = this.value
    },
    methods:{
        remoteMethod(){
            boxGoodsDetail({
                shipmentId: this.shipmentId,
                secId: 0
            }).then((res) => {
                this.list = res.data.sectionOrderList;
            });
        }
    }
}
</script>